/*
  Copyright (C) 2013 Jolla Ltd.
  Contact: Thomas Perl <thomas.perl@jollamobile.com>
  All rights reserved.

  You may use this file under the terms of BSD license as follows:

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of the Jolla Ltd nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR
  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

import QtQuick 2.0
import Sailfish.Silica 1.0


Page {
    id: mainPage

    SilicaFlickable {
        anchors.fill: parent

        PullDownMenu {
            MenuItem {
                text: "Refresh"
                onClicked: sbbConnectionInfo.refresh()
            }
            MenuItem {
                text: "Schedule"
                onClicked: pageStack.push(Qt.resolvedUrl("ScheduleInputPage.qml"))
            }
            MenuItem {
                text: "Departures"
                onClicked: pageStack.push(Qt.resolvedUrl("DeparturesInputPage.qml"))
            }
        }

        contentHeight: column.height

        Column {
            id: column

            width: mainPage.width
            spacing: Theme.paddingLarge
            PageHeader {
                title: "UI Template"
            }
            Label {
                x: Theme.paddingLarge
                text: "Departure"
                color: Theme.secondaryHighlightColor
                font.pixelSize: Theme.fontSizeLarge
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Label {
                x: Theme.paddingLarge
                text: sbbConnectionInfo.departureName;
                color: Theme.secondaryHighlightColor
            }

            Label {
                x: Theme.paddingLarge
                text: "Arrival"
                color: Theme.secondaryHighlightColor
                font.pixelSize: Theme.fontSizeLarge
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Label {
                x: Theme.paddingLarge
                text: sbbConnectionInfo.arrivalName;
                color: Theme.secondaryHighlightColor
            }

            Separator {
            }

            Label {
                x: Theme.paddingLarge
                text: "Next Departure"
                color: Theme.secondaryHighlightColor
                font.pixelSize: Theme.fontSizeLarge
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Label {
                x: Theme.paddingLarge
                text: "18:34"
                color: Theme.secondaryHighlightColor
            }

            Label {
                x: Theme.paddingLarge
                text: "Voie 3"
                color: Theme.secondaryHighlightColor
            }

            Separator {
            }

            Button {
               text: "More Connections"
               onClicked: pageStack.push(Qt.resolvedUrl("ScheduleResultsPage.qml"))
               anchors.horizontalCenter: parent.horizontalCenter
            }

            /*
            TextField {
                width: parent.width
                label: "Text field"
                placeholderText: "Type here"
                focus: true
                horizontalAlignment: textAlignment
            }

            TextField {
                width: parent.width
                label: "Text field"
                placeholderText: "Type here"
                focus: true
                horizontalAlignment: textAlignment
                EnterKey.onClicked: {
                    text = "Return key pressed";
                    parent.focus = true;
                }
            }
            */
        }
    }
}


