#include <QtQuick>
#include <sailfishapp.h>

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

#include <QFile>
#include <QTextStream>
#include <QDateTime>

#include <QDebug>

#include <QLocale>
#include <QTranslator>

#include "utils.h"

#include "connection/sbbconnectioninfo.h"

Q_DECL_EXPORT
int main(int argc, char *argv[])
{
    qDebug() << "Starting application";
    QGuiApplication *app = SailfishApp::application(argc, argv);
    QQuickView *view = SailfishApp::createView();
    view->rootContext()->setContextProperty("view", view);
    view->rootContext()->setContextProperty("app", app);

    qDebug() << "Creating WhatsApp object";
    Utils *whatsapp = new Utils();
    view->rootContext()->setContextProperty("utils", whatsapp);

    SBBConnectionInfo *sci = new SBBConnectionInfo();
    view->rootContext()->setContextProperty("sbbConnectionInfo", sci);

    qDebug() << "Showing main widow";
    view->setSource(SailfishApp::pathTo("qml/SwissTrains.qml"));
    view->showFullScreen();

    return app->exec();
}

