#ifndef SBBSTATION_H
#define SBBSTATION_H

#include <QObject>
#include <QQuickItem>

class SBBStation : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString name READ getName)
public:
    explicit SBBStation(QObject *parent = 0);
    SBBStation(QString& name);
    SBBStation(const SBBStation&);

    const QString& getName() const { return _name; }
    const QString& getId() const { return _externalId; }

    void setName(const QString& newName);

    SBBStation& operator =(const SBBStation& other);
    SBBStation& operator =(const QString& other);

private:
    /** Name of the station */
    QString _name;

    /** Identifier of the station in the HAFAS system */
    QString _externalId;

    /** UNKNOWN */
    QString externalStationNr;

    /** Always WGS84 */
    QString type;

    /** GPS Coordinates */
    int x;

    /** GPS Coordinates */
    int y;

signals:

public slots:

};

#endif // SBBSTATION_H
